Subject: Re: Avoid some signal-handling races, and simplify.

From: Eli Zaretskii <[email-masked]>
Date: Fri, 21 Sep 2012 20:38:56 +0300

> Date: Fri, 21 Sep 2012 10:26:59 -0700
> From: Paul Eggert <[email-masked]>
> CC: [email-masked], [email-masked]
> 
> On 09/21/2012 01:31 AM, Eli Zaretskii wrote:
> >> 	#define raise(sig) kill (getpid (), sig)
> > I don't want to do that.  I guess I'd special-case WINDOWSNT then, if
> > we cannot do better.
> 
> If the special case is in a w32 or dos file or somewhere in the nt
> directory, that's obviously fine.  I hope any such special case
> doesn't clutter the mainline code, though, as it's Windows-specific.

I see no way to do that in any place but where 'raise' is called,
sorry.  That's why I asked if there was a way to do that without
calling 'raise'.